# IRdChunkRsObj Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | GetCount ([out, retval] RtDWORD *pdwCount)
HRESULT | AddNode ([in] BSTR bszFullName,[in] BSTR bszPrefOwner,[in] BSTR bszCustom)
HRESULT | RestoreNode ([in] RtDWORD dwInd,[in] BSTR bszOwnerName,[out, retval] BSTR *pbszFullName)
HRESULT | AddObject ([in] IRsObject *pRsObj,[in] BSTR bszPrefOwner,[in] BSTR bszCustom)
HRESULT | GetObject ([in] RtDWORD dwInd,[out, retval] IRsObject **ppRsObj)
HRESULT | GetObjectPrefOwner ([in] RtDWORD dwInd,[out, retval] BSTR *pbszPrefOwner)
HRESULT | GetObjectCustom ([in] RtDWORD dwInd,[out, retval] BSTR *pbszCustom)

## Detailed Description

Chunk allows you to store one or more Rosetta objects into one save session.
This could prove useful if they contain e.g. huge texture data that is shared.

## Member Function Documentation

HRESULT IRdChunkRsObj::Clear | ( | void |  | ) |

Method clears the chunk.

HRESULT IRdChunkRsObj::GetCount | ( | [out, retval] RtDWORD * | pdwCount | ) |

Get object count.

Parameters:

  | pwdInd | [out, retval] Return count of the stored Rs objects.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRdChunkRsObj::AddNode | ( | [in] BSTR | bszFullName,
|  | [in] BSTR | bszPrefOwner,
|  | [in] BSTR | bszCustom |
| ) |  |  |

Add node object from Dependency Graph.

Parameters:

  | bszFullName | [in] Full name identification of the object.
  | bszPrefOwner | [in] Preferred owner. This is the only info, so you have to decide whether you will use this info.
  | bszCustom | [in] Custom note or flags.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRdChunkRsObj::RestoreNode | ( | [in] RtDWORD | dwInd,
|  | [in] BSTR | bszOwnerName,
|  | [out, retval] BSTR * | pbszFullName |
| ) |  |  |

Restore node object into Dependency Graph.

Parameters:

  | dwInd | [in] Index of the node object that will be restored.
  | bszOwnerName | [in] Full name identification of the object's owner.
  | pbszFullName | [out, retval] Returns full name identification of the restored object.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  Be aware that this method is modifying Dependency Graph,
  so it should be called only from a command.

HRESULT IRdChunkRsObj::AddObject | ( | [in] IRsObject * | pRsObj,
|  | [in] BSTR | bszPrefOwner,
|  | [in] BSTR | bszCustom |
| ) |  |  |

Add Rosetta object into objects list.

Parameters:

  | pRsObj | [in] Object you want to store. Added could be node, command or Data Object.
  | bszPrefOwner | [in] Preferred owner. This is the only info, so you have to decide whether you use this info.
  | bszCustom | [in] Custom note or flags.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRdChunkRsObj::GetObject | ( | [in] RtDWORD | dwInd,
|  | [out, retval] IRsObject ** | ppRsObj |
| ) |  |  |

Get Rosetta object from object list.

Parameters:

  | dwInd | [in] Index of the object to get.
  | ppRsObj | [out, retval] Returns Rosetta object.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRdChunkRsObj::GetObjectPrefOwner | ( | [in] RtDWORD | dwInd,
|  | [out, retval] BSTR * | pbszPrefOwner |
| ) |  |  |

Get object's preferred owner.

Parameters:

  | dwInd | [in] Index of the object.
  | pbszPrefOwner | [out, retval] Returns Preferred owner.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRdChunkRsObj::GetObjectCustom | ( | [in] RtDWORD | dwInd,
|  | [out, retval] BSTR * | pbszCustom |
| ) |  |  |

Get object's custom note/flags.

Parameters:

  | dwInd | [in] Index of the object.
  | pbszCustom | [out, retval] Returns Custom note or flags.

Returns:
  Standard HRESULT processing can be applied to the result.